module oc_cgstep_mod
  implicit none


contains

  integer function oc_cgstep(forget, x_, g_, rr_, gg_)
    logical          :: forget
    character(len=*) :: x_, g_
    character(len=*) :: rr_, gg_
  end function

end module
